## pesign 0.110

=== Makefile ===
TOPDIR = $(shell echo $$PWD)

include $(TOPDIR)/Make.defaults

SUBDIRS := include libdpe src
DOCDIR := /share/doc/
VERSION = 0.110

all : $(SUBDIRS)

$(SUBDIRS) :
	$(MAKE) -C $@ TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH)

clean :
	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done

install :
	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(PREFIX)$(DOCDIR)/pesign/
	$(INSTALL) -pm 644 COPYING $(INSTALLROOT)$(PREFIX)$(DOCDIR)/pesign/

install_systemd:
	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done

install_sysvinit:
	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done

.PHONY: $(SUBDIRS) clean install

include $(TOPDIR)/Make.rules

GITTAG = $(VERSION)

test-archive:
	@rm -rf /tmp/pesign-$(VERSION) /tmp/pesign-$(VERSION)-tmp
	@mkdir -p /tmp/pesign-$(VERSION)-tmp
	@git archive --format=tar $(shell git branch | awk '/^*/ { print $$2 }') | ( cd /tmp/pesign-$(VERSION)-tmp/ ; tar x )
	@git diff | ( cd /tmp/pesign-$(VERSION)-tmp/ ; patch -s -p1 -b -z .gitdiff )
	@mv /tmp/pesign-$(VERSION)-tmp/ /tmp/pesign-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/pesign-$(VERSION).tar.bz2 pesign-$(VERSION)
	@rm -rf /tmp/pesign-$(VERSION)
	@echo "The archive is in pesign-$(VERSION).tar.bz2"

tag:
	git tag -s $(GITTAG) refs/heads/master

archive: tag
	@rm -rf /tmp/pesign-$(VERSION) /tmp/pesign-$(VERSION)-tmp
	@mkdir -p /tmp/pesign-$(VERSION)-tmp
	@git archive --format=tar $(GITTAG) | ( cd /tmp/pesign-$(VERSION)-tmp/ ; tar x )
	@mv /tmp/pesign-$(VERSION)-tmp/ /tmp/pesign-$(VERSION)/
	@dir=$$PWD; cd /tmp; tar -c --bzip2 -f $$dir/pesign-$(VERSION).tar.bz2 pesign-$(VERSION)
	@rm -rf /tmp/pesign-$(VERSION)
	@echo "The archive is in pesign-$(VERSION).tar.bz2"

=== libdpe/Makefile ===
SRCDIR = .
TOPDIR = $(SRCDIR)/..

SONAME = libdpe.so.0

include $(TOPDIR)/Make.defaults

BUILDFLAGS += -fPIC
CCLDFLAGS += -fPIC -Wl,-z,relro,-z,now

TARGETS = libdpe.so libdpe.a
all : $(TARGETS)

SOURCES = $(patsubst %.c,%,$(wildcard *.c))
OBJECTS = $(foreach source,$(SOURCES),$(source).o)
DEPS = $(foreach source,$(SOURCES),.$(source).P)
# PEOBJECTS = $(foreach source,$(SOURCES),$(source)_pe.o)

libdpe.a :: $(OBJECTS)

libdpe.so :: $(OBJECTS)

deps : $(DEPS)

-include $(DEPS)

depclean :
	@rm -fv .*.P

clean : depclean
	@rm -rfv *~ *.o *.a *.so

install :
	echo "LIBDIR: $(LIBDIR)"
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(LIBDIR)
	for x in $(TARGETS) ; do \
		$(INSTALL) -m 755  $$x $(INSTALLROOT)$(LIBDIR) ; \
	done

.PHONY: all clean install

include $(TOPDIR)/Make.rules

=== src/Makefile ===
SRCDIR = .
TOPDIR = $(SRCDIR)/..

include $(TOPDIR)/Make.defaults

PKLIBS = nss
LIBS = popt uuid efivar
STATIC_LIBS = $(TOPDIR)/libdpe/libdpe.a
LDFLAGS =
CCLDFLAGS = -L../libdpe $(foreach pklib,$(PKLIBS), $(shell pkg-config --libs-only-L $(pklib))) -pie -fPIE -Wl,-z,relro,-z,now
BUILDFLAGS += -I../include/ $(foreach pklib,$(PKLIBS), $(shell pkg-config --cflags $(pklib))) -Werror -fPIE

TARGETS = pesign authvar client efisiglist efikeygen pesigcheck

all : $(TARGETS)

generic_SOURCES = cms_common.c wincert.c password.c ucs2.c oid.c signed_data.c signer_info.c content_info.c
generic_OBJECTS = $(foreach source,$(generic_SOURCES),$(patsubst %.c,%,$(source)).o)
generic_DEPS = $(foreach source,$(generic_SOURCES),.$(patsubst %.c,%,$(source)).P)
generic.a : $(generic_OBJECTS)

authvar_SOURCES = authvar.c authvar_context.c
authvar_OBJECTS = $(foreach source,$(authvar_SOURCES),$(patsubst %.c,%,$(source)).o) generic.a
authvar_DEPS = $(foreach source,$(authvar_SOURCES),.$(patsubst %.c,%,$(source)).P)
authvar : $(authvar_OBJECTS) $(STATIC_LIBS)

pesign_SOURCES = pesign.c pesign_context.c actions.c daemon.c
pesign_OBJECTS = $(foreach source,$(pesign_SOURCES),$(patsubst %.c,%,$(source)).o) generic.a
pesign_DEPS = $(foreach source,$(pesign_SOURCES),.$(patsubst %.c,%,$(source)).P)
pesign : $(pesign_OBJECTS) $(STATIC_LIBS)

pesigcheck_SOURCES = pesigcheck.c pesigcheck_context.c certdb.c
pesigcheck_OBJECTS = $(foreach source,$(pesigcheck_SOURCES),$(patsubst %.c,%,$(source)).o) generic.a
pesigcheck_DEPS = $(foreach source,$(pesigcheck_SOURCES),.$(patsubst %.c,%,$(source)).P)
pesigcheck : $(pesigcheck_OBJECTS) $(STATIC_LIBS)

client_SOURCES = pesign_context.c actions.c client.c
client_OBJECTS = $(foreach source,$(client_SOURCES),$(patsubst %.c,%,$(source)).o) generic.a
client_DEPS = $(foreach source,$(client_SOURCES),.$(patsubst %.c,%,$(source)).P)
client : $(client_OBJECTS) $(STATIC_LIBS)

efisiglist_SOURCES = efisiglist.c siglist.c
efisiglist_OBJECTS = $(foreach source,$(efisiglist_SOURCES),$(patsubst %.c,%,$(source)).o)
efisiglist_DEPS = $(foreach source,$(efisiglist_SOURCES),.$(patsubst %.c,%,$(source)).P)
efisiglist : $(efisiglist_OBJECTS)

efikeygen_SOURCES = efikeygen.c
efikeygen_OBJECTS = $(foreach source,$(efikeygen_SOURCES),$(patsubst %.c,%,$(source)).o) generic.a
efikeygen_DEPS = $(foreach source,$(efikeygen_SOURCES),.$(patsubst %.c,%,$(source)).P)
efikeygen : $(efikeygen_OBJECTS) $(STATIC_LIBS)

DEPS = $(generic_DEPS) $(authvar_DEPS) $(pesign_DEPS) $(client_DEPS) \
	$(pesigcheck_DEPS) $(efisiglist_DEPS) $(efikeygen_DEPS)

deps : $(DEPS)

depclean :
	@rm -fv .*.P

-include $(DEPS)

clean : depclean
	@rm -rfv *.o *.a *.so $(TARGETS)

install_systemd:
	$(INSTALL) -d -m 755 $(INSTALLROOT)/usr/lib/tmpfiles.d/
	$(INSTALL) -m 644 tmpfiles.conf $(INSTALLROOT)/usr/lib/tmpfiles.d/pesign.conf
	$(INSTALL) -d -m 755 $(INSTALLROOT)/usr/lib/systemd/system/
	$(INSTALL) -m 644 pesign.service $(INSTALLROOT)/usr/lib/systemd/system/

install_sysvinit:
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/rc.d/init.d/
	$(INSTALL) -m 755 pesign.sysvinit $(INSTALLROOT)/etc/rc.d/init.d/pesign

install :
	$(INSTALL) -d -m 700 $(INSTALLROOT)/etc/pki/pesign/
	$(INSTALL) -d -m 770 $(INSTALLROOT)/var/run/pesign/
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(PREFIX)/bin/
	$(INSTALL) -m 755 pesign $(INSTALLROOT)$(PREFIX)/bin/
	$(INSTALL) -m 755 client $(INSTALLROOT)$(PREFIX)/bin/pesign-client
	$(INSTALL) -m 755 efikeygen $(INSTALLROOT)$(PREFIX)/bin/
	#$(INSTALL) -m 755 pesigcheck $(INSTALLROOT)$(PREFIX)/bin/
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/popt.d/
	$(INSTALL) -m 644 pesign.popt $(INSTALLROOT)/etc/popt.d/
	$(INSTALL) -d -m 755 $(INSTALLROOT)/usr/share/man/man1/
	$(INSTALL) -m 644 pesign.1 $(INSTALLROOT)/usr/share/man/man1/
	$(INSTALL) -m 644 pesign-client.1 $(INSTALLROOT)/usr/share/man/man1/
	$(INSTALL) -m 644 efikeygen.1 $(INSTALLROOT)/usr/share/man/man1/
	#$(INSTALL) -m 644 pesigcheck.1 $(INSTALLROOT)/usr/share/man/man1/
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/rpm/
	$(INSTALL) -m 644 macros.pesign $(INSTALLROOT)/etc/rpm/

.PHONY: all deps clean depclean install

include $(TOPDIR)/Make.rules

=== util/Makefile ===
SRCDIR = .
TOPDIR = $(SRCDIR)/..

include $(TOPDIR)/Make.defaults

FORMAT=efi-app-$(HOSTARCH)
LDFLAGS = -nostdlib -T $(LIBDIR)/gnuefi/elf_$(HOSTARCH)_efi.lds -shared -Bsymbolic $(LIBDIR)/gnuefi/crt0-efi-$(HOSTARCH).o -L$(LIBDIR)
LIBS=-lefi -lgnuefi $(shell $(CC) -print-libgcc-file-name)
CCLDFLAGS =
BUILDFLAGS = -I/usr/include/efi/ -I/usr/include/efi/$(HOSTARCH)/ -I/usr/include/efi/protocol -fpic -fshort-wchar -fno-reorder-functions -fno-strict-aliasing -fno-merge-constants -mno-red-zone -Wimplicit-function-declaration

TARGETS = setupsb.efi dumpsb.efi clearpk.efi

all : $(TARGETS)

clean : 
	@rm -rfv *.o *.a *.so $(TARGETS)

install :
	$(INSTALL) -d -m 755 $(INSTALLROOT)/boot/efi/EFI/redhat/
	$(INSTALL) -m 755 *.efi $(INSTALLROOT)/boot/efi/EFI/redhat/

.PHONY: all clean install

include $(TOPDIR)/Make.efirules

=== include/libdpe/Makefile ===
SRCDIR = .
TOPDIR = $(SRCDIR)/..

include $(TOPDIR)/Make.defaults

SUBDIRS = libdpe

all:

clean:

install:
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(PREFIX)/include/libdpe/
	$(INSTALL) -m 644 *.h $(INSTALLROOT)$(PREFIX)/include/libdpe/

include $(TOPDIR)/Make.rules

=== debian/changelog ===
pesign (0.110-2) unstable; urgency=medium

  * uncomment VCS information in debian/control
  * change package priority because of dependency on opensc

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Tue, 23 Jun 2015 17:51:13 -0500

pesign (0.110-1) unstable; urgency=low

  * Initial release (Closes: #786462)

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Thu, 21 May 2015 13:44:16 -0500

=== debian/control ===
Source: pesign
Priority: extra
Maintainer: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>
Uploaders: Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-systemd (>= 1.5), pkg-config, libnspr4, libnss3, libnss3-tools, libpopt-dev, coolkey, opensc (>= 0.14.0), libnspr4-dev (>= 4.9.2), libnss3-dev (>= 3.13.6), libefivar-dev (>= 0.14), uuid-dev
Standards-Version: 3.9.6.1
Section: devel
Homepage: https://github.com/rhinstaller/pesign
Vcs-Git: git://anonscm.debian.org/collab-maint/pesign.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pesign.git

Package: pesign
Architecture: amd64 i386 armhf arm64 armel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3-tools, coolkey, opensc
Description: Signing utility for UEFI binaries
 This package contains the pesign utility for signing UEFI binaries (PE-COFF 
 format) as well as other associated tools. It is meant to follow the PE and 
 Authenticode specifications. It is analogous to the tool described at
 http://msdn.microsoft.com/en-us/library/8s9b9yaz%28v=vs.80%29.aspx

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-V

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

buildroot	:= debian/tmp
libexecdir	:= /usr/share

%:
	dh $@ --with systemd -- libexecdir=${libexecdir}
override_dh_auto_install:
	dh_auto_install --destdir=${buildroot} -- libexecdir=${libexecdir} install_systemd install_sysvinit
override_dh_install:
	tar zxf debian/test-certs.tgz -C debian/pesign
	find ${buildroot} -type f
	dh_install
	#modutil -force -dbdir ${buildroot}/etc/pki/pesign -add coolkey -libfile /usr/lib/$(DEB_HOST_MULTIARCH)/pkcs11/libcoolkeypk11.so
	modutil -force -dbdir ${buildroot}/etc/pki/pesign -add opensc -libfile /usr/lib/$(DEB_HOST_MULTIARCH)/pkcs11/opensc-pkcs11.so

## pesign 0.112

=== Makefile ===
--- 
+++ 
@@ -1,33 +1,35 @@
-TOPDIR = $(shell echo $$PWD)
+SRCDIR = $(realpath .)
+TOPDIR = $(realpath .)
 
+include $(TOPDIR)/Make.version
+include $(TOPDIR)/Make.rules
 include $(TOPDIR)/Make.defaults
 
 SUBDIRS := include libdpe src
-DOCDIR := /share/doc/
-VERSION = 0.110
 
-all : $(SUBDIRS)
+install :
+	$(INSTALL) -d -m 755 $(INSTALLROOT)$(docdir)/pesign-$(VERSION)/
+	$(INSTALL) -pm 644 COPYING $(INSTALLROOT)$(docdir)/pesign-$(VERSION)/
+	@set -e ; for x in $(SUBDIRS) ; do \
+		$(MAKE) -C $$x $@ ; \
+	done
+
+install_systemd install_sysvinit : install
+	@set -e ; for x in $(SUBDIRS) ; do \
+		$(MAKE) -C $$x $@ ; \
+	done
+
+distclean : | clean
+
+clean deps all : | Make.version
+	@set -e ; for x in $(SUBDIRS) ; do \
+		$(MAKE) -C $$x $@ ; \
+	done
 
 $(SUBDIRS) :
-	$(MAKE) -C $@ TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH)
+	$(MAKE) -C $@ all
 
-clean :
-	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done
-
-install :
-	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done
-	$(INSTALL) -d -m 755 $(INSTALLROOT)$(PREFIX)$(DOCDIR)/pesign/
-	$(INSTALL) -pm 644 COPYING $(INSTALLROOT)$(PREFIX)$(DOCDIR)/pesign/
-
-install_systemd:
-	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done
-
-install_sysvinit:
-	@for x in $(SUBDIRS) ; do $(MAKE) -C $${x} TOPDIR=$(TOPDIR) SRCDIR=$(TOPDIR)/$@/ ARCH=$(ARCH) $@ ; done
-
-.PHONY: $(SUBDIRS) clean install
-
-include $(TOPDIR)/Make.rules
+.PHONY: $(SUBDIRS)
 
 GITTAG = $(VERSION)

=== include/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults

SUBDIRS = libdpe

clean all install :
	for x in $(SUBDIRS) ; do \
		$(MAKE) -C $$x $@ ; \
	done

$(SUBDIRS) :
	$(MAKE) -C $@ all

.PHONY: $(SUBDIRS)

=== libdpe/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults

LIBTARGETS=libdpe.so
STATICLIBTARGETS=libdpe.a
TARGETS=$(LIBTARGETS) $(STATICLIBTARGETS)

LIBDPE_SOURCES = $(wildcard *.c)
ALL_SOURCES=$(LIBDPE_SOURCES)
-include $(call deps-of,$(ALL_SOURCES))

all : deps $(TARGETS)

libdpe.a : $(call objects-of,$(LIBDPE_SOURCES))
libdpe.a : LIBS=pthread
# libdpe.a : | $(wildcard *.h) $(wildcard $(TOPDIR)/include/libdpe/*.h)
libdpe.so : $(call objects-of,$(LIBDPE_SOURCES))
libdpe.so : LIBS=pthread
# libdpe.so : | $(wildcard *.h) $(wildcard $(TOPDIR)/include/libdpe/*.h)

deps : $(ALL_SOURCES)
	$(MAKE) -f $(TOPDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)"

clean :
	@rm -rfv *~ *.o *.a *.so *.so.* .*.d

#install :
#	$(INSTALL) -d -m 755 $(DESTDIR)$(libdir)
#	$(foreach x,$(LIBTARGETS), \
#		$(INSTALL) -m 755 $(x) $(DESTDIR)$(libdir)/$(x).$(VERSION) ;\
#		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x).$(MAJOR_VERSION) ;\
#		ln -fs $(x).$(VERSION) $(DESTDIR)$(libdir)/$(x); )
#	$(foreach x,$(STATICLIBTARGETS), \
#		$(INSTALL) -m 644 $(x) $(DESTDIR)$(libdir)/$(x); )

.SECONDARY : $(foreach x,$(LIBTARGETS),$(x).$(VERSION) $(x).$(MAJOR_VERSION))

=== src/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults

BINTARGETS=authvar client efikeygen efisiglist pesigcheck pesign
SVCTARGETS=pesign.sysvinit pesign.service
TARGETS=$(BINTARGETS) $(SVCTARGETS)

all : deps $(TARGETS)

COMMON_SOURCES = cms_common.c content_info.c oid.c password.c \
	signed_data.c signer_info.c ucs2.c
COMMON_PE_SOURCES = wincert.c cms_pe_common.c
AUTHVAR_SOURCES = authvar.c authvar_context.c
CLIENT_SOURCES = pesign_context.c actions.c client.c
EFIKEYGEN_SOURCES = efikeygen.c
EFISIGLIST_SOURCES = efisiglist.c siglist.c
PESIGCHECK_SOURCES = pesigcheck.c pesigcheck_context.c certdb.c
PESIGN_SOURCES = pesign.c pesign_context.c actions.c daemon.c

ALL_SOURCES=$(COMMON_SOURCES) $(AUTHVAR_SORUCES) $(CLIENT_SOURCES) \
	$(EFIKEYGEN_SOURCES) $(EFISIGLIST_SOURCES) $(PESIGCHECK_SOURCES) \
	$(PESIGN_SOURCES)
-include $(call deps-of,$(ALL_SOURCES))

authvar : $(call objects-of,$(AUTHVAR_SOURCES) $(COMMON_SOURCES))
# authvar : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
authvar : PKGS=efivar nss nspr popt

client : $(call objects-of,$(CLIENT_SOURCES) $(COMMON_SOURCES) $(COMMON_PE_SOURCES))
client : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
client : PKGS=efivar nss nspr popt

efikeygen : $(call objects-of,$(EFIKEYGEN_SOURCES) $(COMMON_SOURCES))
efikeygen : PKGS=efivar nss nspr popt uuid

efisiglist : $(call objects-of,$(EFISIGLIST_SOURCES) $(COMMON_SOURCES))
efisiglist : PKGS=efivar nss nspr popt

pesigcheck : $(call objects-of,$(PESIGCHECK_SOURCES) $(COMMON_SOURCES) $(COMMON_PE_SOURCES))
pesigcheck : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
pesigcheck : PKGS=efivar nss nspr popt

pesign : $(call objects-of,$(PESIGN_SOURCES) $(COMMON_SOURCES) $(COMMON_PE_SOURCES))
pesign : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
pesign : PKGS=efivar nss nspr popt

deps : $(ALL_SOURCES)
	$(MAKE) -f $(TOPDIR)/Make.deps deps SOURCES="$(ALL_SOURCES)"

clean :
	@rm -rfv *.o *.a *.so $(TARGETS)
	@rm -rfv .*.d

install_systemd: pesign.service
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(libdatadir)tmpfiles.d/
	$(INSTALL) -m 644 tmpfiles.conf $(INSTALLROOT)$(libdatadir)tmpfiles.d/pesign.conf
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(libdatadir)systemd/system/
	$(INSTALL) -m 644 pesign.service $(INSTALLROOT)$(libdatadir)systemd/system/

install_sysvinit: pesign.sysvinit
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/rc.d/init.d/
	$(INSTALL) -m 755 pesign.sysvinit $(INSTALLROOT)/etc/rc.d/init.d/pesign

install :
	$(INSTALL) -d -m 700 $(INSTALLROOT)/etc/pki/pesign/
	$(INSTALL) -d -m 700 $(INSTALLROOT)/etc/pki/pesign-rh-test/
	$(INSTALL) -d -m 770 $(INSTALLROOT)/var/run/pesign/
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 authvar $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 pesign $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 client $(INSTALLROOT)$(bindir)pesign-client
	$(INSTALL) -m 755 efikeygen $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 efisiglist $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 pesigcheck $(INSTALLROOT)$(bindir)
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/popt.d/
	$(INSTALL) -m 644 pesign.popt $(INSTALLROOT)/etc/popt.d/
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -m 644 pesign.1 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -m 644 pesign-client.1 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -m 644 efikeygen.1 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -m 644 pesigcheck.1 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -m 644 authvar.1 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -m 644 efisiglist.1 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/rpm/
	$(INSTALL) -m 644 macros.pesign $(INSTALLROOT)/etc/rpm/
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(libexecdir)/pesign/
	$(INSTALL) -m 750 pesign-authorize-users $(INSTALLROOT)$(libexecdir)/pesign/
	$(INSTALL) -m 750 pesign-authorize-groups $(INSTALLROOT)$(libexecdir)/pesign/
	$(INSTALL) -d -m 700 $(INSTALLROOT)/etc/pesign
	$(INSTALL) -m 600 /dev/null $(INSTALLROOT)/etc/pesign/users
	$(INSTALL) -m 600 /dev/null $(INSTALLROOT)/etc/pesign/groups

.PHONY: all deps clean install

=== util/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
-SRCDIR = .
-TOPDIR = $(SRCDIR)/..
+SRCDIR = $(realpath .)
+TOPDIR = $(realpath ..)
 
+include $(TOPDIR)/Make.version
+include $(TOPDIR)/Make.rules
+include $(TOPDIR)/Make.efirules
 include $(TOPDIR)/Make.defaults
 
 FORMAT=efi-app-$(HOSTARCH)
@@ -14,12 +17,16 @@
 all : $(TARGETS)
 
 clean : 
-	@rm -rfv *.o *.a *.so $(TARGETS)
+	@rm -rfv *.o *.a *.so .*.d $(TARGETS)
 
 install :
 	$(INSTALL) -d -m 755 $(INSTALLROOT)/boot/efi/EFI/redhat/
 	$(INSTALL) -m 755 *.efi $(INSTALLROOT)/boot/efi/EFI/redhat/
 
+install_systemd:
+
+install_sysvinit:
+
 .PHONY: all clean install
 
 include $(TOPDIR)/Make.efirules

=== src/certs/Makefile ===
NICKNAME := $(shell whoami)
EMAIL := ${NICKNAME}@localhost

all : clean
	./make-certs ${NICKNAME} ${EMAIL} all codesign 1.3.6.1.4.1.311.10.3.1
	@rm -rvf /etc/pki/pesign/*
	certutil -A -n 'my CA' -d /etc/pki/pesign -t CT,CT,CT -i ca.crt
	pk12util -d /etc/pki/pesign/ -i ${NICKNAME}.p12
	certutil -d /etc/pki/pesign/ -A -i ${NICKNAME}.crt -n ${NICKNAME} -t u

clean :
	@rm -vf *.c?? *.p?? *.k?? *.txt *.old *.attr *.db  *.srl

=== debian/changelog ===
pesign (0.112-5) unstable; urgency=high

  * Move git repo from alioth to salsa.d.o
  * efisiglist: Copy the header correctly (Closes: #928491)
  * Update obsolete Build-Depends (remove dh-systemd, update debhelper)

 -- Steve McIntyre <93sam@debian.org>  Sun, 05 May 2019 21:22:21 +0100

pesign (0.112-4) unstable; urgency=medium

  * Team upload.
  * Fix race between printing prompt and disabling tty echo.

 -- Julien Cristau <jcristau@debian.org>  Sat, 13 May 2017 17:36:43 +0200

pesign (0.112-3) unstable; urgency=medium

  * Team upload.
  * Pass libexecdir correctly to sub-makes so the service file has the right
    path.

 -- Julien Cristau <jcristau@debian.org>  Mon, 27 Jun 2016 13:59:55 +0200

pesign (0.112-2) unstable; urgency=medium

  [ Julien Cristau ]
  * Fix pesign service file installation. Closes: #828192
  * Fix command line parsing. Closes: #828682

 -- Steve McIntyre <93sam@debian.org>  Mon, 27 Jun 2016 10:31:50 +0200

pesign (0.112-1) unstable; urgency=low

  [ Daniel Jared Dominguez ]
  * update VCS info
  * use debian-efi list as maintainer

  [ Peter Jones ]
  * Make "make install_systemd" and "make install_sysvinit" not error.
  * Install authvar and efisiglist
  * Make --clear without --export actually work.
  * Make x509 certs in siglists work.
  * Ignore some things that wind up in a working tree pretty often.
  * make efi_guid_t's const.

  [ Pat Riehecky ]
  * A more plugable way of setting ACLs for pesign

  [ Peter Jones ]
  * Propogate some "const" declarations better.
  * Make efivar compiler parameters come from pkg-config.
  * Add "install" targets for 3c2374b and make the filenames a little nicer.

  [ Daniel Jared Dominguez ]
  * add manpages for authvar/efisiglist and escape dashes in existing manpages

  [ Peter Jones ]
  * Make pesign-authorize-{users,groups} not be in sbin.

  [ Gary Ching-Pang Lin ]
  * Correct the signature size check

  [ Peter Jones ]
  * Revamp the makefile system entirely.
  * Don't let make autogenerate a rule for "%".
  * Fix some -Wsign-compare warnings
  * Bump version to 0.111
  * Fix one more -Wsign-compare problem I missed.
  * pesign: when nss fails to tell us -EPERM or -ENOENT, figure it out.
  * setfacl the nss DBs to our authorized users, not just the socket.
  * Don't setfacl when the socket or dir aren't there.
  * setfacl the db as well
  * Get rid of KeyIdTemplate; it is unused.

  [ Mirco Tischler ]
  * fix double $prefix when installing to $docdir

  [ Peter Jones ]
  * libdpe: Fix a plausible but unrealistic "may be used uninitialized"
  * Fix our makefile rule so the target binaries are getting linked -g
  * efikeygen: fix missing libefivar dep for efi_guid_zero
  * pesigcheck pesign: use LDLIBS+= to link in libdpe.a
  * efikeygen: don't hide --dbdir option
  * authvar: add --list-supported-sigs
  * Minor whitespace fix.
  * Make -Werror=unused-parameter work.
  * Make -Werror=type-limits work.
  * Make -Werror=missing-field-initializers work.
  * make pesigcheck be able to get cert dbs from a file
  * makefile crap
  * try even harder to restrict the time checking in pesigcheck
  * pesigcheck: check dbfile and dbxfile from popt
  * efisiglist: add --infile
  * libdpe: get rid of all the stupid locking
  * Make things that don't touch PE not need libdpe.
  * Improve our setfacl scripts for database and socket ownership.
  * Do a better job of isolating pesign-rh-test-crap
  * Bump version to 0.112

  [ Daniel Jared Dominguez ]
  * new upstream release (Closes: #819766)
  * remove old quilt patches

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 20 Apr 2016 13:27:37 -0500

pesign (0.110-3) UNRELEASED; urgency=low

  * update VCS info
  * use debian-efi list as maintainer

 -- Daniel Jared Dominguez <Jared_Dominguez@Dell.com>  Wed, 29 Jul 2015 20:12:43 -0500

=== debian/control ===
Source: pesign
Priority: optional
Maintainer: Debian UEFI maintainers <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 9.20160709), pkg-config, libnspr4, libnss3, libnss3-tools, libpopt-dev, coolkey, opensc (>= 0.14.0), libnspr4-dev (>= 4.9.2), libnss3-dev (>= 3.13.6), libefivar-dev (>= 0.14), uuid-dev
Standards-Version: 3.9.8.0
Section: devel
Homepage: https://github.com/rhinstaller/pesign
Vcs-Git: https://salsa.debian.org/efi-team/pesign.git
Vcs-Browser: https://salsa.debian.org/efi-team/pesign

Package: pesign
Architecture: amd64 i386 armhf arm64 armel
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3-tools, coolkey, opensc
Description: Signing utility for UEFI binaries
 This package contains the pesign utility for signing UEFI binaries (PE-COFF 
 format) as well as other associated tools. It is meant to follow the PE and 
 Authenticode specifications. It is analogous to the tool described at
 http://msdn.microsoft.com/en-us/library/8s9b9yaz%28v=vs.80%29.aspx

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 buildroot	:= debian/tmp
 libexecdir	:= /usr/share
 
+export libexecdir
+
 %:
-	dh $@ --with systemd -- libexecdir=${libexecdir}
+	dh $@ --with systemd
 override_dh_auto_install:
 	dh_auto_install --destdir=${buildroot} -- libexecdir=${libexecdir} install_systemd install_sysvinit
 override_dh_install:

## pesign 116

=== Makefile ===
--- 
+++ 
@@ -4,27 +4,29 @@
 include $(TOPDIR)/Make.version
 include $(TOPDIR)/Make.rules
 include $(TOPDIR)/Make.defaults
+include $(TOPDIR)/Make.coverity
+include $(TOPDIR)/Make.scan-build
 
 SUBDIRS := include libdpe src
 
 install :
 	$(INSTALL) -d -m 755 $(INSTALLROOT)$(docdir)/pesign-$(VERSION)/
 	$(INSTALL) -pm 644 COPYING $(INSTALLROOT)$(docdir)/pesign-$(VERSION)/
-	@set -e ; for x in $(SUBDIRS) ; do \
-		$(MAKE) -C $$x $@ ; \
-	done
+	@$(call descend)
 
 install_systemd install_sysvinit : install
-	@set -e ; for x in $(SUBDIRS) ; do \
-		$(MAKE) -C $$x $@ ; \
-	done
+	@$(call descend)
 
 distclean : | clean
 
+clean :
+	@$(call removes)
+	@$(call descend)
+
 clean deps all : | Make.version
-	@set -e ; for x in $(SUBDIRS) ; do \
-		$(MAKE) -C $$x $@ ; \
-	done
+
+deps all :
+	@$(call descend)
 
 $(SUBDIRS) :
 	$(MAKE) -C $@ all
@@ -44,7 +46,7 @@
 	@echo "The archive is in pesign-$(VERSION).tar.bz2"
 
 tag:
-	git tag -s $(GITTAG) refs/heads/master
+	git tag -s $(GITTAG) refs/heads/main
 
 archive: tag
 	@rm -rf /tmp/pesign-$(VERSION) /tmp/pesign-$(VERSION)-tmp
@@ -55,4 +57,12 @@
 	@rm -rf /tmp/pesign-$(VERSION)
 	@echo "The archive is in pesign-$(VERSION).tar.bz2"
 
+valgrind : all
+	valgrind --leak-check=full --track-origins=yes ./src/pesign -f -s -t 'Secure Boot Signer' -c 'Certificate for Digital Signature' -i shimx64.efi -o shimx64.signed.efi --pwfile pwfile
 
+strace : all
+	strace -tt -s 1024 -v -f -o pesign.strace -o /dev/stdout ./src/pesign -f -s -t 'Secure Boot Signer' -c 'Certificate for Digital Signature' -i shimx64.efi -o shimx64.signed.efi --pwfile pwfile
+
+gdb : all
+	echo run -f -s -t \'Secure Boot Signer\' -c \'Certificate for Digital Signature\' -i shimx64.efi -o shimx64.signed.efi --pwfile pwfile | copy
+	gdb ./src/pesign

=== libdpe/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 STATICLIBTARGETS=libdpe.a
 TARGETS=$(LIBTARGETS) $(STATICLIBTARGETS)
 
-LIBDPE_SOURCES = $(wildcard *.c)
+LIBDPE_SOURCES = $(sort $(wildcard *.c))
 ALL_SOURCES=$(LIBDPE_SOURCES)
 -include $(call deps-of,$(ALL_SOURCES))

=== src/Makefile ===
SRCDIR = $(realpath .)
TOPDIR = $(realpath ..)

include $(TOPDIR)/Make.version
include $(TOPDIR)/Make.rules
include $(TOPDIR)/Make.defaults

BINTARGETS=authvar client efikeygen pesigcheck pesign \
	   pesign-rpmbuild-helper pesign-authorize pesum
CFGTARGETS=tmpfiles.conf
SVCTARGETS=pesign.sysvinit pesign.service
MAN1TARGETS=authvar.1 efikeygen.1 pesigcheck.1 pesign-client.1 pesign.1

TARGETS=$(BINTARGETS) $(SVCTARGETS) $(MAN1TARGETS) $(CFGTARGETS)

all : deps $(TARGETS)

COMMON_SOURCES = cms_common.c content_info.c \
		 errno-guard.c \
		 oid.c \
		 password.c \
		 signed_data.c signer_info.c \
		 text.c \
		 ucs2.c util.c
COMMON_PE_SOURCES = wincert.c cms_pe_common.c
AUTHVAR_SOURCES = authvar.c authvar_context.c
CLIENT_SOURCES = pesign_context.c actions.c client.c
EFIKEYGEN_SOURCES = efikeygen.c
PESIGCHECK_SOURCES = pesigcheck.c pesigcheck_context.c certdb.c
PESIGN_SOURCES = pesign.c pesign_context.c actions.c daemon.c \
		 file_pe.c file_kmod.c pesign_kmod.c
PESUM_SOURCES = pesum.c pesign_context.c actions.c \
		file_pe.c file_kmod.c pesign_kmod.c

ALL_SOURCES=$(COMMON_SOURCES) $(AUTHVAR_SORUCES) $(CLIENT_SOURCES) \
	$(EFIKEYGEN_SOURCES) $(PESIGCHECK_SOURCES) $(PESIGN_SOURCES) \
	$(PESUM_SOURCES)
-include $(call deps-of,$(ALL_SOURCES))

authvar : $(call objects-of,$(AUTHVAR_SOURCES) $(COMMON_SOURCES))
# authvar : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
authvar : PKGS=efivar nss nspr popt

client : $(call objects-of,$(CLIENT_SOURCES) $(COMMON_SOURCES) $(COMMON_PE_SOURCES))
client : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
client : PKGS=efivar nss nspr popt

efikeygen : $(call objects-of,$(EFIKEYGEN_SOURCES) $(COMMON_SOURCES))
efikeygen : PKGS=efivar nss nspr popt uuid

pesigcheck : $(call objects-of,$(PESIGCHECK_SOURCES) $(COMMON_SOURCES) $(COMMON_PE_SOURCES))
pesigcheck : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
pesigcheck : PKGS=efivar nss nspr popt

pesign : $(call objects-of,$(PESIGN_SOURCES) $(COMMON_SOURCES) $(COMMON_PE_SOURCES))
pesign : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
pesign : PKGS=efivar nss nspr popt

pesum : $(call objects-of,$(PESUM_SOURCES) $(COMMON_SOURCES) $(COMMON_PE_SOURCES))
pesum : LDLIBS+=$(TOPDIR)/libdpe/libdpe.a
pesum : PKGS=efivar nss nspr popt

deps : PKGS=efivar nss nspr popt uuid
deps : $(ALL_SOURCES)
	$(MAKE) -f $(TOPDIR)/Make.deps \
		SOURCES="$(ALL_SOURCES)" \
		PKGS="$(PKGS)" \
		deps

clean :
	@rm -rfv $(TARGETS)
	@$(call removes)

install_systemd: pesign.service
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(libdatadir)tmpfiles.d/
	$(INSTALL) -m 644 tmpfiles.conf $(INSTALLROOT)$(libdatadir)tmpfiles.d/pesign.conf
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(libdatadir)systemd/system/
	$(INSTALL) -m 644 pesign.service $(INSTALLROOT)$(libdatadir)systemd/system/

install_sysvinit: pesign.sysvinit
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/rc.d/init.d/
	$(INSTALL) -m 755 pesign.sysvinit $(INSTALLROOT)/etc/rc.d/init.d/pesign

install :
	$(INSTALL) -d -m 700 $(INSTALLROOT)/etc/pki/pesign/
	$(INSTALL) -d -m 700 $(INSTALLROOT)/etc/pki/pesign-rh-test/
	$(INSTALL) -d -m 770 $(INSTALLROOT)$(rundir)pesign/
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 authvar $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 pesign $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 pesum $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 client $(INSTALLROOT)$(bindir)pesign-client
	$(INSTALL) -m 755 efikeygen $(INSTALLROOT)$(bindir)
	$(INSTALL) -m 755 pesigcheck $(INSTALLROOT)$(bindir)
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/popt.d/
	$(INSTALL) -m 644 pesign.popt $(INSTALLROOT)/etc/popt.d/
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -m 644 $(MAN1TARGETS) $(INSTALLROOT)$(mandir)man1/
	$(INSTALL) -d -m 755 $(INSTALLROOT)/etc/rpm/
	$(INSTALL) -m 644 macros.pesign $(INSTALLROOT)/etc/rpm/
	$(INSTALL) -d -m 755 $(INSTALLROOT)$(libexecdir)/pesign/
	$(INSTALL) -m 750 pesign-authorize $(INSTALLROOT)$(libexecdir)/pesign/
	$(INSTALL) -m 755 pesign-rpmbuild-helper $(INSTALLROOT)$(libexecdir)/pesign/
	$(INSTALL) -d -m 700 $(INSTALLROOT)/etc/pesign
	$(INSTALL) -m 600 pesign-users $(INSTALLROOT)/etc/pesign/users
	$(INSTALL) -m 600 pesign-groups $(INSTALLROOT)/etc/pesign/groups

.PHONY: all deps clean install

=== debian/changelog ===
pesign (116-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream patch to fix calloc parameter order, that was causing an
    FTBFS with GCC-14. Closes: #1075379.

 -- Margarita Manterola <marga@debian.org>  Sun, 06 Apr 2025 15:28:31 +0200

pesign (116-8) unstable; urgency=medium

  * Stop installing things outside of /usr. Closes: #1073639.
  * Tweak the arm warnings patch to not fail on arm64 chroots too.
    Closes: #1073845

 -- Steve McIntyre <93sam@debian.org>  Sun, 14 Jul 2024 18:47:52 +0100

pesign (116-7) unstable; urgency=medium

  * Fix t64 breakage on 32-bit architectures. Closes: #1068147

 -- Steve McIntyre <93sam@debian.org>  Thu, 18 Apr 2024 21:24:46 +0100

pesign (116-6) unstable; urgency=medium

  * Move passwd from Build-Depends to Depends, Closes: #1054449
    Doh!

 -- Steve McIntyre <93sam@debian.org>  Sun, 12 Nov 2023 21:32:02 +0000

pesign (116-5) unstable; urgency=medium

  * Add the new pesign-authorize script, replacement for the
    already-removed pesign-authorize-users and
    pesign-authorize-groups. Closes: #1055325
  * Tweak patch filename for clarity

 -- Steve McIntyre <93sam@debian.org>  Sat, 04 Nov 2023 16:20:04 +0000

pesign (116-4) unstable; urgency=medium

  * Switch build to be arch:any. Closes: #1055258

 -- Steve McIntyre <93sam@debian.org>  Fri, 03 Nov 2023 13:05:21 +0000

pesign (116-3) unstable; urgency=medium

  * Disable linker warnings about wchar_t on 32-bit arm.
  * Also build for riscv64 and loong64

 -- Steve McIntyre <93sam@debian.org>  Thu, 02 Nov 2023 15:05:21 +0000

pesign (116-2) unstable; urgency=medium

  * Add build-dep on mandoc.

 -- Steve McIntyre <93sam@debian.org>  Thu, 02 Nov 2023 12:01:18 +0000

pesign (116-1) unstable; urgency=medium

  * New upstream version 116
    * Remove old patches, all upstream now
    * Add new patches:
      * Remove bashisms in Makefiles
      * Update a patch to make build reproducible. Closes: #1003787
    * Various programs are now gone, fix up packaging to match:
      * efisiglist; replaced by efisecdb in the efivar package
      * pesign-authorize-users / pesign-authorize-groups
        (Fixes CVE-2022-3560, Closes: #1030168)
    * No longer uses /var/run. Closes: 964157
  * Add build-dep on new libefisec-dev
  * Move user/group setup from preinst to postinst, and add a
    dependency on passwd. Closes: #1054449
  * Now seems to work OK using LTO in the build. Closes: #1015578.

 -- Steve McIntyre <93sam@debian.org>  Wed, 01 Nov 2023 22:25:43 +0000

pesign (0.112-6) unstable; urgency=medium

  * Fix FTBFS with new versions of NSS, using patch from
    upstream. Thanks to Dan Nicholson. Closes: #948645
  * Update Standards-Version to 4.5.1
  * Update debhelper compat to 10

 -- Steve McIntyre <93sam@debian.org>  Fri, 01 Jan 2021 22:34:53 +0000

=== debian/control ===
Source: pesign
Priority: optional
Maintainer: Debian UEFI maintainers <debian-efi@lists.debian.org>
Uploaders: Daniel Jared Dominguez <Jared_Dominguez@Dell.com>, Steve McIntyre <93sam@debian.org>
Build-Depends: debhelper (>= 10),
 pkg-config,
 libnspr4,
 libnss3,
 libnss3-tools,
 libpopt-dev,
 mandoc,
 coolkey,
 opensc,
 libnspr4-dev,
 libnss3-dev,
 libefivar-dev,
 libefisec-dev,
 uuid-dev
Standards-Version: 4.5.1
Section: devel
Homepage: https://github.com/rhinstaller/pesign
Vcs-Git: https://salsa.debian.org/efi-team/pesign.git
Vcs-Browser: https://salsa.debian.org/efi-team/pesign

Package: pesign
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, libnss3-tools, coolkey, opensc, passwd
Description: Signing utility for UEFI binaries
 This package contains the pesign utility for signing UEFI binaries (PE-COFF 
 format) as well as other associated tools. It is meant to follow the PE and 
 Authenticode specifications. It is analogous to the tool described at
 http://msdn.microsoft.com/en-us/library/8s9b9yaz%28v=vs.80%29.aspx

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 export libexecdir
 
 %:
-	dh $@ --with systemd
+	dh $@
 override_dh_auto_install:
 	dh_auto_install --destdir=${buildroot} -- libexecdir=${libexecdir} install_systemd install_sysvinit
 override_dh_install:

=== debian/watch ===
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

#opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pesign-$1\.tar\.gz/ \
#https://github.com/vathpela/pesign/tags .*/v?(\d\S*)\.tar\.gz

https://github.com/rhinstaller/pesign/releases \
.*[^n]/(?:|v|version-|r|REL_|rel-|pesign(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
